﻿/**
 * @license Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

// Register a templates definition set named "default".
CKEDITOR.addTemplates( 'default', {
	// The name of sub folder which hold the shortcut preview images of the
	// templates.
	imagesPath: CKEDITOR.getUrl( CKEDITOR.plugins.getPath( 'templates' ) + 'templates/images/' ),

	// The templates definitions.
	templates: [ {
		title: 'Изображение, загловок, текст',
		image: 'template1.gif',
		description: 'Одно основное изображение, заголовок и текст вокруг изображения.',
		html: '<h3>' +
			// Use src=" " so image is not filtered out by the editor as incorrect (src is required).
			'<img src=" " alt="" style="margin-right: 10px" height="100" width="100" align="left" />' +
			'Здесь  будет заголовок' +
			'</h3>' +
			'<p>' +
			'А здесь будет текст' +
			'</p>'
	},
	{
		title: 'Две колонки',
		image: 'template2.gif',
		description: 'Две колонны, каждая из которых содержит название, и текст.',
		html: '<table cellspacing="0" cellpadding="0" style="width:100%" border="0">' +
			'<tr>' +
				'<td style="width:50%">' +
					'<h3>Заголовок 1</h3>' +
				'</td>' +
				'<td></td>' +
				'<td style="width:50%">' +
					'<h3>Заголовок 2</h3>' +
				'</td>' +
			'</tr>' +
			'<tr>' +
				'<td>' +
					'Вывод текста 1' +
				'</td>' +
				'<td></td>' +
				'<td>' +
					'Вывод текста 2' +
				'</td>' +
			'</tr>' +
			'</table>' +
			'<p>' +
			'Еще больше текста.' +
			'</p>'
	},
	{
		title: 'Текст и таблица',
		image: 'template3.gif',
		description: 'Заголовок с текстом и таблицей.',
		html: '<div style="width: 80%">' +
			'<h3>' +
				'Здесь будет заголовок' +
			'</h3>' +
			'<table style="width:150px;float: right" cellspacing="0" cellpadding="0" border="1">' +
				'<caption style="border:solid 1px black">' +
					'<strong>Заголовок таблиц</strong>' +
				'</caption>' +
				'<tr>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
				'</tr>' +
				'<tr>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
				'</tr>' +
				'<tr>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
					'<td>&nbsp;</td>' +
				'</tr>' +
			'</table>' +
			'<p>' +
				'Текст будет здесь' +
			'</p>' +
			'</div>'
	},
	  
	{
		title: 'Вопрос ответ',
		image: 'vo.png',
		description: 'Вопрос ответ',
		html: '<div class="Card-fon">' +
			'<div class = "redLine"><div class = "numeric">' +
				'НОМЕР' +
			'</div></div>' +
			'<div class="Card-vnutr" style="font-size: 26px;">' +
			 	'Заголовок' +
			
				'</div>' +
					
			'<div class="Card-text">' +
			 
				'Текст будет здесь' +
			'</div>'+
			
			'</div>'
	},
	{
		title: 'Стоп-кадр',
		image: 'kueta6.png',
		description: 'Карточка версия 1.0',
		html: '' +
		'<div class="card_v-2"><div class="topLineCard vmin">&nbsp;</div><div class="intCard bigWidth"><div class="labelCard"><span>Стоп-Кадр</span></div><div class="titleCard bigWidth">Заголовок</div><div class="textCardBig">Текст сообщения</div><div class="bigImgCard"><img alt="" src="/images/upload/images_09-2016/images/100/--2016-09-25--16.35.52.png" /></div></div></div>'+
		''
	},
	{
		title: 'Цифра дня',
		image: 'card-8.png',
		description: 'версия 0.1',
		html: '' +
		'<div class="card_v-1-2 color"><div class="topLineCard">&nbsp;</div><div class="intCard back"><div class="labelCard"><span>Цифра дня</span></div><div class="titleCard">Заголовок</div><br><div class="blockCard v31"><div id="rightLine">&nbsp;</div><div class="leftSideCard tbl"><div class="lineUnderImg"><span class="leftPadd">Цифра дня</span><div id="rightSquareMini">&nbsp;</div></div></div><div class="rightSideCard tbr"><div class="titleTextCard">Заголовок</div><div class="dateCard"><strong>2013 год </strong></div><div class="textCard">Текстовое сообщение</div></div></div></div></div>'+
		''
	},
	{
		title: 'Лента времени',
		image: 'Screenshottm.png',
		description: 'версия 0.2',
		html: '' +
'<div class="timelineli"><ul><li><div><div class="title">Заголовок</div><div class="info">текст</div><div class="type">Presentation</div></div><span class="number"><span>10:00</span> <span>12:00</span></span></li><li><div><div class="title">Заголовок</div><div class="info">текст</div><div class="type">Presentation</div></div><span class="number"><span>13:00</span> <span>14:00</span></span></li>\n'+
'<li><div><div class="title">Заголовок</div><div class="info">текст</div><div class="type">Review</div></div>\n<span class="number"><span>15:00</span> <span>17:45</span></span></li>\n</ul></div>'+
		''	
	},
    {
		title: 'Форма для оплаты',
		image: 'kueta5.png',
		description: 'версия 0.1',
		html: '' +        
'<div class="card_v-1"><div class="topLineCard">&nbsp;</div><div class="intCard back"><div class="labelCard"><span>только по делу</span></div><div class="titleCard">Реквизиты для пожертвования в фонд с сообщением: "Диме на поездку":&nbsp;</div><div class="blockCard backN"><div id="rightLine">&nbsp;</div><div class="rightSideCard"><div class="titleTextCard">Заголовок</div><div class="textCard" style="margin-left: 10px;">Средства спишутся с вашей карты сразу на счет фонда "Облака";</div><ul class="firctul" style="margin-left: 10px;"><li class="textCard">Альфа-Банк: через расчетный счет с карты Альфа-Банка: р/с № 40703810123100000035;</li><li class="textCard">СМС на номер 3434, текст Облака 75, придет подтверждение, просьба пройти до финала;</li><li class="textCard">кнопка "Помочь" через<a href="https://fondoblaka.com/pozhertvovat/" rel="nofollow" target="_blank"> сайт фонда "Облака"</a>.</li></ul></div></div></div>'
    },
    {
		title: 'Банер телеги',
		image: 'Telegram_logo.jpg',
		description: 'версия 0.1',
		html: '' +
'<div style="background-color:#fff;height:70px;"><a href="https://telegram.me/news_amic"><img src="'+"data:image/svg+xml,%3Csvg viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M18.92 6.089L4.747 11.555c-.967.388-.962.928-.176 1.168l3.534 1.104 1.353 4.146c.164.454.083.634.56.634.368 0 .53-.168.736-.368.13-.127.903-.88 1.767-1.719l3.677 2.717c.676.373 1.165.18 1.333-.628l2.414-11.374c.247-.99-.378-1.44-1.025-1.146zM8.66 13.573l7.967-5.026c.398-.242.763-.112.463.154l-6.822 6.155-.265 2.833-1.343-4.116z' fill='%23FFF' fill-rule='evenodd'/%3E%3C/svg%3E\" float='left' width='60px' style='background-color: cornflowerblue;'"+'></a><h1 style="display:block;bottom: 87px;position: relative;left: 77px;font-size: 18px;font-weight:600;width:600px"><a href="https://telegram.me/news_amic" style="text-decoration:none;color:#6699cc">Получайте короткую рассылку с самыми важными новостями дня - подпишитесь на наш Telegram-канал</a></h1></div>'
    }
	]
} );
