<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "commets_conf".
 *
 * @property string $AllStop
 * @property string $reg
 * @property string $dt-start
 * @property string $dt-stop
 * @property string $d0
 * @property string $d1
 * @property string $d2
 * @property string $d3
 * @property string $d4
 * @property string $d5
 * @property string $d6
 */
class CommentsConf extends \yii\db\ActiveRecord
{
	public static $keysCache = 'CommentsConf';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'comments_conf';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['AllStop', 'reg', 'd0', 'd1', 'd2', 'd3', 'd4', 'd5', 'd6'], 'string'],
            [['dt_start', 'dt_stop'], 'safe'],
			[['AllStop','reg'], 'default', 'value' => 'N'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'AllStop' => 'Остановить все',
            'reg' => 'Зарегиные как гости',
            'dt_start' => 'Время начал премодерации',
            'dt_stop' => 'Время окончания премодерации',
            'd0' => 'D0',
            'd1' => 'D1',
            'd2' => 'D2',
            'd3' => 'D3',
            'd4' => 'D4',
            'd5' => 'D5',
            'd6' => 'D6',
        ];
    }

     /**
     * {@inheritdoc}
     */
    public function isActive()
    {
		return ($this->AllStop == 'N');
	}

	public function isPreModerate($reg = false)
    {
		if( $reg && $this->reg == 'N' ) return false;
		if( $this->{'d'.(date('N')-1)} == 'Y' ){
			return true;
		}
		list( $hs, $ms, $ss ) = explode( ':', $this->dt_start );
		list( $he, $me, $se ) = explode( ':', $this->dt_stop );
		if( date("H") < $he || date("H") > $hs ){
			if( date("i") < $me || date("i") > $ms ){
				return true;
			}
		}
		return false;
	}
    public static function find()
    {
        return parent::find(0);
    }
}
