<?php

use \app\models\CommentsFilter;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\widgets\ListView;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Фильтры для коvментариев';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="comments-filter-index">

    <p>
        <?= Html::a('Создать новый фильтр', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>

<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            'title:text',
            'ftext:text',
            'active:ntext:включён',
            [
                'class' => ActionColumn::className(),
				'header' => 'Управление',
				'template' => '{view} {update}',
				'buttonOptions' => ['class' => 'btn btn-default'],
                'urlCreator' => function ($action, CommentsFilter $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
