<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\models\base\NewsTopic;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;
use app\modules\ldjson\jsonLD;


AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100" prefix="og: http://ogp.me/ns# article: http://ogp.me/ns/article# profile: http://ogp.me/ns/profile# fb: http://ogp.me/ns/fb#">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<?= (Yii::$app->og->noindex == 'Y')?'<meta name="robots" content="noindex,nofollow" />'."\n":''?>
    <meta http-equiv="x-dns-prefetch-control" content="on">
    <link rel="manifest" href="/manifest.json">
    <link rel="dns-prefetch" href="//fonts.googleapis.com">
    <link rel="dns-prefetch" href="//mc.yandex.ru">
    <link rel="dns-prefetch" href="//www.google-analytics.com">
    <link rel="dns-prefetch" href="//cse.google.com">
    <link rel="dns-prefetch" href="//top-fwz1.mail.ru">
    <link rel="dns-prefetch" href="//counter.yadro.ru">
	<link rel="preconnect" href="https://www.googletagmanager.com" />
	<link rel="preconnect" href="https://mc.yandex.ru" />
	<link rel="preconnect" href="https://counter.yadro.ru" />
	<link rel="preconnect" href="https://yandex.ru" />
	<link rel="preconnect" href="https://avatars.mds.yandex.net" />
	<link rel="preconnect" href="https://matchid.adfox.yandex.ru" />
	<link rel="preconnect" href="https://yastatic.net" />
<?php $this->registerCsrfMetaTags() ?>
    <title><?=Html::encode(Yii::$app->og->title)?></title>
    <meta name="title" content="<?= Html::encode(Yii::$app->og->title) ?>">
    <meta name="description" content="<?= preg_replace('/\s+/', ' ', str_replace( ["\n","\r"],' ',Html::encode(Yii::$app->og->description)))?>">
    <meta property="og:title" content="<?=Yii::$app->og->og_title?>"/>
    <meta property="og:description" content="<?=preg_replace('/\s+/', ' ',str_replace( ["\n","\r"],' ',Yii::$app->og->og_description))?>"/>
    <meta property="og:image" content="<?=Yii::$app->og->og_image?>"/>
    <meta property="og:type" content="<?=Yii::$app->og->og_type?>"/>
    <meta property="og:url" content= "<?=Yii::$app->og->og_url?>" />
    <meta name="author" content="<?=Yii::$app->og->author?>" />
    <meta name="copyright" content="Амител">
    <link rel="publisher" href="https://g.page/amitel?gm" />
<?php if(!is_null(Yii::$app->og->dtpub)):?>
    <meta property="article:published_time" content="<?= Yii::$app->og->dtpub?>"/>
<?php endif;?>
<?php if(!is_null(Yii::$app->og->canonical)):?>
    <link rel="canonical" href="<?=Yii::$app->og->canonical?>">
<?php endif;?>
<?php if(!is_null(Yii::$app->og->amp)):?>
    <link rel="amphtml"  href="<?=Yii::$app->og->amp?>">
<?php endif;?>
    <link rel="alternate" type="application/rss+xml" title="RSS" href="/rss">
    <link rel="alternate" type="application/rss+xml" title="RSS" href="https://feeds.feedburner.com/amic/news">
    <link rel="icon" type="image/png" href="/img/favicon/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="/img/favicon/favicon-192x192.png" sizes="192x192">
    <link rel="icon" type="image/png" href="/img/favicon/favicon-96x96.png" sizes="96x96">
    <link rel="icon" type="image/png" href="/img/favicon/favicon-16x16.png" sizes="16x16">
    <link rel="icon" type="image/svg+xml" href="/img/favicon/favicon.svg">
    <?=(YII_ENV_DEV)?jsonLD::showtest():'' ?>
    <?=jsonLD::get() ?>
    <?/*=$this->render("@app/views/_etc/sw")*/?>
    <?php $this->head() ?>
	<?=$this->render('header/metrics')?>
    <?=$this->render("@app/views/_etc/banners/BannersImports")?>
    <?=$this->render("@app/views/layouts/jsComponents")?>

</head>

<body class="d-flex flex-column h-100 <?= $this->context->viewTheme ?? "" ?>">
<?php $this->beginBody() ?>

<?=$this->render("@app/views/_etc/header")?>

<main role="main" class="flex-shrink-0 <?=\yii\helpers\ArrayHelper::getValue($this->params,'context','')?>">
    <div class="container<?=(isset($GLOBALS['type_long']) && $GLOBALS['type_long'] == 6)?' longrid':''?>">
        <?=$content?>
    </div>
</main>
<div class="sidemenu_overlay">
    <div class="sidemenu">
        <div class="sidemenu_header">
            <form action="/search" method="get" class="search_form">
                <input type="text" class="search_input" name="q" aria-label="Поиск">
                <button>Найти</button>
            </form>
            <div class="hamburger hamburger--squeeze js-hamburger is-active">
                <div class="hamburger-box">
                    <div class="hamburger-inner"></div>
                </div>
            </div>
        </div>
        <div class="sidemenu_content">
           <ul>
               <li class="header-nav__item"><a href="/news" class="header-nav__link">
                       Новости
                   </a></li>
               <li class="header-nav__item"><a href="/articles" class="header-nav__link">
                       Читай
                   </a></li>
               <li class="header-nav__item"><a href="/podcasts" class="header-nav__link">
                       Слушай
                   </a></li>
               <li class="header-nav__item"><a href="/video" class="header-nav__link">
                       Смотри
                   </a></li>
           </ul>
            <div class="header-bottom__buttons">
                <div class="header-bottom__button">
                    <a href="https://fmprod.ru/radiostantsii/item/evropa-plyus/" target="_blank" class="button button_grey">
                        <span class="button__text tg">▶ Слушать радио</span>
                    </a>
                </div>
                <div class="header-bottom__button">
                    <a href="https://t.me/amic_ru" target="_blank" class="button button_grey button_grey-tg">
                                <span class="button__icon">
                                    <svg style="width: 17px;height: 14px;" class="icon icon-tg"><use xlink:href="/svg/symbol/sprite-styled.svg#tg"></use></svg>
                                </span>
                        <span class="button__text tg">&nbsp;Телеграм</span>
                    </a>
                </div>
				<?=$this->render("@app/views/layouts/filters_mobile")?>
            </div>
            <?php
            echo Yii::$app->cache->getOrSet("mobile_menu_rubrics",function (){
                return \yii\widgets\ListView::widget([
                    "dataProvider" => new \yii\data\ActiveDataProvider([
                        "query"=>NewsTopic::find()->andWhere(["show"=>"Y","active"=>1,"topic_id"=>null])->orderBy(["order"=>SORT_ASC]), //"topic_id"=>$topic->id next lavel maybe
                        "pagination" =>[
                            "pageSize"=>0
                        ],
                    ]),
                    'options' => [
                        'tag' => "ul",
                        'class' => 'list-wrapper',
                        'id' => 'list-wrapper',
                    ],
                    "itemOptions"=>[
                        "tag"=>"li",
                        "class"=>"header-nav__item"
                    ],
                    "itemView" => function($model) {
						if( $model->url == '----'){
										$ret = \yii\helpers\Html::tag('div','',['class' => ['hr']]);
										return $ret;
						}
						return \yii\helpers\Html::a($model->title,["news/{$model->url}"],['class'=>'header-nav__link']);},
                    "layout" => "{items}"
                ]);
            },6000);
            ?>
        </div>
    </div>
</div>

<?=$this->render("@app/views/layouts/footer")?>
<?=$this->render("@app/views/layouts/share")?>
<script>
    (function (){
        const hamburgers = document.querySelectorAll(".burger, .js-hamburger.is-active");
        hamburgers.forEach(function (hamburger){
            hamburger.onclick = function (){
                document.querySelector(".sidemenu_overlay").classList.toggle('active');
            }
        })

        const hamburgersd = document.querySelectorAll(".burgerd");
        hamburgersd.forEach(function (hamburger){
            hamburger.onclick = function (){
                document.querySelector(".sidemenu_overlay").classList.toggle('active');
            }
        })

    })()
</script>
<?
$filterurl = \yii\helpers\Url::base('https')."/inquirer/ajax";
$this->registerJs(
<<<JS
    function sendask(idq){
		var param = $('meta[name="csrf-param"]').attr("content");
		var token = $('meta[name="csrf-token"]').attr("content");
		ask = $('input:checked[name=ask_'+idq+']').val()
		$.post( "$filterurl", { 'idq': idq, 'ask': ask, '_csrf' : token}, function( data ) {
			if( data.status == 'ok' ){
				//document.location.reload();
				console.log(data.status);
				$(".answer[key='"+idq+"']").html(window.bghtml[idq]);
			}
		});
    }
JS
    ,
    yii\web\View::POS_END, 'send-ask'
);
?>
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
