<?php
/**
 * @var $this \yii\web\View
 * @var $post \app\models\News
 * @var \yii\data\ActiveDataProvider $newsDataProvider
 * @var \app\models\base\NewsTopic | \app\models\base\Story $topic
 * @var \app\models\Design $design
 */

use yii\helpers\Html;
echo Html::beginTag('div',['class'=>'widget']);
    echo "<!-- цветные плашки -->";
    if(!is_null($design->parent)){
        echo Html::tag('h2',Html::a($design->parent->title,[$design->parent->getUrl()]),['class'=>"widget-title mt-2 text-center"]);
    }
    echo Html::beginTag("div",["class"=>"partner-news row colorful","id"=>"design-".$design->id]);

    echo Yii::$app->cache->getOrSet("main-page-colorful-row-l3-{$design->id}", function () use ($newsDataProvider, $design){
        $i = 0;
        $s = '';
        $color="blue";
        foreach ($newsDataProvider->query->limit(10)->all() as $post){
            $color = ($i % 2) ? "blue" : "orange";
            $i++;
            $s .= $this->render('_colorful_news_item',["model"=>$post,"color"=>$color]);
        }
        $s .= $this->render('_colorful_news_item_end',["design"=>$design,"color"=>$color=="blue"?"orange":"blue"]);
        return $s;
    },1);

    echo \yii\helpers\Html::endTag("div");
echo \yii\helpers\Html::endTag("div");
?>
<script>
    (function (){
        function scroll(container, value, duration) {
            if (duration <= 0) return;
            var difference = value - container.scrollLeft;
            var perTick = difference / duration * 10;

            setTimeout(function() {
                container.scrollLeft= container.scrollLeft + perTick;
                if (container.scrollLeft === value) return;
                scroll(container, value, duration - 10);
            }, 10);
        }
        const container = document.getElementById("design-<?=$design->id?>");
        const items = container.getElementsByClassName('colorful-news-item');
        const style = items[0].currentStyle || window.getComputedStyle(items[0]);
        const itemWidth = parseInt(style.width.replace(/px/,""));
        const shift = itemWidth + parseInt(style.marginRight.replace(/px/,"")) * 2;

        const next = document.createElement('div');
        container.after(next);
        next.classList.add('navigation','next');
        const prev = document.createElement('div');
        container.before(prev);
        prev.classList.add('navigation','prev');
        prev.onclick = function (){scroll(container, container.scrollLeft + (shift * -1), 200); return true};
        next.onclick = function (){scroll(container, container.scrollLeft + shift , 200); return true};
        window.onSwipe(container,function (){scroll(container, container.scrollLeft + (shift * -1), 200); return true}, function (){scroll(container, container.scrollLeft + shift , 200); return true}, )
    })()
</script>
